Authorization: Bearer ********************{
"parent_id": 0,
"path": "string",
"name": "string",
"component": "string",
"redirect": "string",
"title": "string",
"icon": "string",
"link": "http://example.com",
"type": 0,
"sort": 0,
"is_enable": true,
"is_hide": true,
"is_hide_tab": true,
"is_iframe": true,
"keep_alive": true,
"is_full_page": true,
"fixed_tab": true,
"show_badge": true,
"show_text_badge": "string",
"active_path": "string",
"permission": "string",
"roles": [
"string"
]
}curl --location 'http://prod-cn.your-api-server.com/admin/menus' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"parent_id": 0,
"path": "string",
"name": "string",
"component": "string",
"redirect": "string",
"title": "string",
"icon": "string",
"link": "http://example.com",
"type": 0,
"sort": 0,
"is_enable": true,
"is_hide": true,
"is_hide_tab": true,
"is_iframe": true,
"keep_alive": true,
"is_full_page": true,
"fixed_tab": true,
"show_badge": true,
"show_text_badge": "string",
"active_path": "string",
"permission": "string",
"roles": [
"string"
]
}'{
"id": 0,
"parent_id": 0,
"path": "string",
"name": "string",
"component": "string",
"redirect": "string",
"title": "string",
"icon": "string",
"link": "string",
"type": {
"value": 0,
"label": "string"
},
"sort": 0,
"is_enable": true,
"is_hide": true,
"is_hide_tab": true,
"is_iframe": true,
"keep_alive": true,
"is_full_page": true,
"fixed_tab": true,
"show_badge": true,
"show_text_badge": "string",
"active_path": "string",
"permission": "string",
"created_at": "2019-08-24T14:15:22.123Z",
"updated_at": "2019-08-24T14:15:22.123Z",
"children": [
{}
]
}